import Layout from '@/views/layout/Layout'

export default {
  path: '/upload/',
  component: Layout,
  redirect: 'noredirect',
  name: 'quality_control',
  alwaysShow: true,
  meta: {
    title: 'quality_control',
    icon: 'excel'
  },
  children: [
    {
      path: '/upload/fast',
      component: () => import('@/xt_pages/upload/fast_upload'),
      name: 'fast_upload',
      meta: {
        title: 'fast_upload'
      }
    },
    {
      path: '/upload/data',
      component: () => import('@/xt_pages/upload/data_upload'),
      name: 'data_upload',
      meta: {
        title: 'data_upload'
      }
    },
    {
      path: '/upload/export',
      component: () => import('@/xt_pages/upload/export'),
      name: 'export',
      meta: {
        title: 'export'
      }
    }, {
      path: '/upload/config',
      component: () => import('@/xt_pages/upload/config'),
      name: 'upload_config',
      meta: {
        title: 'upload_config'
      }
    },
  ]
}
