import Layout from '@/views/layout/Layout'

export default {
  path: '/stock/',
  component: Layout,
  redirect: 'noredirect',
  name: 'stockManage',
  alwaysShow: true,
  meta: {
    title: 'stockManage',
    icon: 'stock'
  },
  children: [
    {
      path: '/stock/in',
      component: () => import('@/xt_pages/stock/stockInOrder'),
      name: 'stockInOrder',
      meta: { title: 'stockInOrder', noCache: true }
    }, {
      path: '/stock/return',
      component: () => import('@/xt_pages/stock/salesReturnOrder'),
      name: 'salesReturnOrder',
      meta: { title: 'salesReturnOrder', noCache: true }
    },
    {
      path: '/stock/out',
      component: () => import('@/xt_pages/stock/stockOutOrder'),
      name: 'stockOutOrder',
      meta: { title: 'stockOutOrder', noCache: true }
    }, {
      path: '/stock/cancel',
      component: () => import('@/xt_pages/stock/cancelStockOrder'),
      name: 'cancelStockOrder',
      meta: { title: 'cancelStockOrder', noCache: true }
    }, {
      path: '/stock/in/other',
      component: () => import('@/xt_pages/stock/otherStockInOrder'),
      name: 'otherStockInOrder',
      meta: { title: 'otherStockInOrder', noCache: true }
    }, {
      path: '/stock/return/other',
      component: () => import('@/xt_pages/stock/otherSalesReturnOrder'),
      name: 'otherSalesReturnOrder',
      meta: { title: 'otherSalesReturnOrder', noCache: true }
    }, {
      path: '/stock/out/other',
      component: () => import('@/xt_pages/stock/otherStockOutOrder'),
      name: 'otherStockOutOrder',
      meta: { title: 'otherStockOutOrder', noCache: true }
    }, {
      path: '/stock/cancel/other',
      component: () => import('@/xt_pages/stock/otherCancelStockOrder'),
      name: 'otherCancelStockOrder',
      meta: { title: 'otherCancelStockOrder', noCache: true }
    }, {
      path: '/stock/query',
      component: () => import('@/xt_pages/stock/stockQuery'),
      name: 'stockQuery',
      meta: { title: 'stockQuery', noCache: true  }
    }, {
      path: '/stock/detail',
      component: () => import('@/xt_pages/stock/stockDetailIndex'),
      name: 'stockDetail',
      meta: { title: 'stockDetail', noCache: true  }
    }, {
      path: '/stock/in/add',
      component: () => import('@/xt_pages/stock/stockInOrderAdd'),
      name: 'stockInOrderAdd',
      hidden: true,
      is_menu: false,
      meta: { title: 'stockInOrderAdd', noCache: true }
    }, {
      path: '/stock/in/detail',
      component: () => import('@/xt_pages/stock/stockInDetail'),
      name: 'stockInDetail',
      hidden: true,
      is_menu: false,
      meta: { title: 'stockInDetail', noCache: true  }
    }, {
      path: '/stock/return/detail',
      component: () => import('@/xt_pages/stock/salesReturnDetail'),
      name: 'salesReturnDetail',
      hidden: true,
      is_menu: false,
      meta: { title: 'salesReturnDetail', noCache: true  }
    }, {
      path: '/stock/return/add',
      component: () => import('@/xt_pages/stock/salesReturnOrderAdd'),
      name: 'salesReturnOrderAdd',
      hidden: true,
      is_menu: false,
      meta: { title: 'salesReturnOrderAdd', noCache: true }
    }, {
      path: '/stock/out/add',
      component: () => import('@/xt_pages/stock/stockOutOrderAdd'),
      name: 'stockOutOrderAdd',
      hidden: true,
      is_menu: false,
      meta: { title: 'stockOutOrderAdd', noCache: true }
    }, {
      path: '/stock/out/detail',
      component: () => import('@/xt_pages/stock/stockOutDetail'),
      name: 'stockOutDetail',
      hidden: true,
      is_menu: false,
      meta: { title: 'stockOutDetail', noCache: true }
    }, {
      path: '/stock/cancel/add',
      component: () => import('@/xt_pages/stock/cancelStockOrderAdd'),
      name: 'cancelStockOrderAdd',
      hidden: true,
      is_menu: false,
      meta: { title: 'cancelStockOrderAdd', noCache: true }
    }, {
      path: '/stock/cancel/detail',
      component: () => import('@/xt_pages/stock/cancelStockDetail'),
      name: 'cancelStockDetail',
      hidden: true,
      is_menu: false,
      meta: { title: 'cancelStockDetail', noCache: true }
    }, {
      path: '/stock/config',
      component: () => import('@/xt_pages/stock/index'),
      name: 'config',
      meta: { title: 'config', noCache: true  }
    }, {
      path: '/stock/print',
      component: () => import('@/xt_pages/stock/detail/print'),
      hidden: true,
      is_menu: false,
      name: 'stock_print',
      meta: {
        title: '库存打印',
        noCache: true
      }
    },{
      path: '/stock/user/detail',
      component: () => import('@/xt_pages/stock/stockUserDetail'),
      name: 'user_detail',
      hidden: true,
      is_menu: false,
      meta: { title: 'user_detail', noCache: true  }
    }
  ]
}
