import Layout from '@/views/layout/Layout'

export default {
  path: '/system',
  component: Layout,
  redirect: '/role/admin/manage',
  name: 'system',
  alwaysShow: true,
  meta: {
    title: 'systemManage',
    icon: 'system'
  },
  children: [{
    path: '/role/admin/manage',
    component: () => import('@/xt_pages/role/admin'),
    name: 'adminManage',
    meta: {
      title: 'adminManage'
    }
  },
  {
    path: '/role/manage',
    component: () => import('@/xt_pages/role/role'),
    name: 'roleManage',
    meta: {
      title: 'roleManage'
    }
  },
  {
    path: '/role/admin/create',
    component: () => import('@/xt_pages/role/CreateAdmin'),
    name: 'addAdmin',
    meta: {
      title: 'addAdmin',
      noCache: true
    },
    hidden: true,
    is_menu: false
  },
  {
    path: '/role/admin/edit',
    component: () => import('@/xt_pages/role/EditAdmin'),
    name: 'editAdmin',
    meta: {
      title: 'editAdmin',
      noCache: true
    },
    hidden: true,
    is_menu: false
  },
  {
    path: '/role/perview',
    component: () => import('@/xt_pages/role/EditPerview'),
    name: 'setupPerview',
    meta: {
      title: 'setupPerview',
      noCache: true
    },
    hidden: true,
    is_menu: false
  },
  {
    path: '/role/admin/specialpermission',
    component: () => import('@/xt_pages/role/special_permission'),
    name: 'special_permission_manage',
    meta: {
      title: 'special_permission_manage'
    }
  },
  {
    path: '/data/dictionary',
    component: () => import('@/xt_pages/data/index'),
    name: 'dictionary',
    meta: {
      title: 'data_dictionary'
    }
  },
  {
    path: '/data/template',
    component: () => import('@/xt_pages/data/template'),
    name: 'template',
    meta: {
      title: 'template'
    }
  },{
      path: '/data/prescription',
      component: () => import('@/xt_pages/data/prescription'),
      name: 'prescription',
      meta: {
        title: 'system_prescription'
      }
    }, {
    path: '/data/druguse',
    component: () => import('@/xt_pages/data/druguseTemplate'),
    name: 'druguse',
    meta: {
      title: 'druguse'
    }
  }, {
    path: '/data/showconfig',
    component: () => import('@/xt_pages/data/showConfig'),
    name: 'showconfig',
    meta: {
      title: 'showconfig'
    }
  },{
    path: '/data/print',
    component: () => import('@/xt_pages/data/printTemplate'),
    name: 'printTemplate',
    meta: {
      title: 'printTemplate'
    }
  }, {
    path: '/data/hisconfig',
    component: () => import('@/xt_pages/data/hisConfig'),
    name: 'hisconfig',
    meta: {
      title: 'hisconfig'
    }
  },
  ]
}
